#include <stdio.h>
#include <windows.h>

void DrawARectangle(HDC hdc) 
{
    HPEN hpen, hpenOld;
    HBRUSH hbrush, hbrushOld;

    hpen = CreatePen(PS_SOLID, 10, RGB(0, 255, 0));
    hbrush = CreateSolidBrush(RGB(255, 0, 0));

    hpenOld = (HPEN)SelectObject(hdc, hpen);
    hbrushOld = (HBRUSH)SelectObject(hdc, hbrush);
    Rectangle(hdc, 100,100, 200,200);

    SelectObject(hdc, hpenOld);
    DeleteObject(hpen);
    SelectObject(hdc, hbrushOld);
    DeleteObject(hbrush);
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow)
{
	HWND hWin =  GetDesktopWindow();

	int sx = GetSystemMetrics(SM_CXSCREEN);
	int sy = GetSystemMetrics(SM_CYSCREEN); 
	DWORD crc32;
	HDC hDC = GetDC(hWin); 
	
	
	HDC MyHDC = CreateCompatibleDC(hDC); 
	HBITMAP hBMP = CreateCompatibleBitmap(hDC, sx, sy); 
	SelectObject(MyHDC, hBMP); 
    ReleaseDC(hWin,hDC);
    BitBlt(MyHDC, 0, 0, sx, sy, hDC, 0, 0, SRCCOPY); 
    DrawARectangle(MyHDC);
    BitBlt(hDC, 0, 0, sx, sy, MyHDC, 0, 0, SRCCOPY); 
    
    Sleep(100000);
	DeleteDC(hDC);
    DeleteDC(MyHDC);
    DeleteObject(hBMP);
	GlobalFree((HGLOBAL)lpBits);
	
		
	return 1;
}